| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Classes | Variables
editors.h File Reference

## Classes

class | wxPGWindowList
| Contains a list of editor windows returned by CreateControls. More...
class | wxPGEditor
| Base class for custom wxPropertyGrid editors. More...
class | wxPGTextCtrlEditor
class | wxPGChoiceEditor
class | wxPGComboBoxEditor
class | wxPGChoiceAndButtonEditor
class | wxPGTextCtrlAndButtonEditor
class | wxPGCheckBoxEditor
class | wxPGEditorDialogAdapter
| Derive a class from this to adapt an existing editor dialog or function to be used when editor button of a property is pushed. More...
class | wxPGMultiButton
| This class can be used to have multiple buttons in a property editor. More...

## Variables

wxPGEditor * | wxPGEditor_TextCtrl
wxPGEditor * | wxPGEditor_Choice
wxPGEditor * | wxPGEditor_ComboBox
wxPGEditor * | wxPGEditor_TextCtrlAndButton
wxPGEditor * | wxPGEditor_CheckBox
wxPGEditor * | wxPGEditor_ChoiceAndButton

## Variable Documentation

wxPGEditor* wxPGEditor_CheckBox

wxPGEditor* wxPGEditor_Choice

wxPGEditor* wxPGEditor_ChoiceAndButton

wxPGEditor* wxPGEditor_ComboBox

wxPGEditor* wxPGEditor_TextCtrl

wxPGEditor* wxPGEditor_TextCtrlAndButton